/* Copyright (c) NEC Platforms, Ltd. 2001-2017 */

;(function($, window, document, undefined){
	var isAndroid = /Android/.test(window.navigator.userAgent);
	var isAndroid2_3 = /Android 2.3/.test(window.navigator.userAgent);
	var isTouch = (function(){
		return (document.ontouchstart != "undefined" && (typeof window.orientation != "undefined" || /Android/.test(window.navigator.userAgent)));
		})();
	var touchFlag = true;
	var textOpenClose = {openText:'開く', closeText:'閉じる'};
	var textShowHide = {showText:'詳細な項目を表示', hideText:'詳細な項目を隠す'};
	var isTransform = (typeof $('<div>').css('transform') === 'string');
	var isTransformPC = isTransform && !isTouch;
	var isTransition = typeof $('<div>').css('transitionProperty') === 'string';
	var isMediaQuery = window.matchMedia || $.support.opacity;
	var popupAlertDefultClass = 'popupAlertDefult';
	window.confirmMsg = {};
	window.popupClass = ['popupAlert'];
	window.popupTarget = ['help'];
	var modalTopPos = 0;

	function setPopupAlertDefult(){
	  $('body').modalDialog({
		dialogId:popupAlertDefultClass,
		text:'既にページが開いています。ページを切り替えてください。',
		btn:{
		  text:'OK',
		  size:'small', 
		  onclick:'toggle'
		  }
	  });
	};
	
	$.fn.extend({
		setIcon:function(imgSrc, imgClass){
			if(typeof imgSrc == 'string') imgSrc = [imgSrc];
			if(typeof imgClass == 'string') imgClass = [imgClass];
			this.each(function(){
				for(var i = 0, l = imgSrc.length; i < l; i++){
					$(this).prepend($('<img src="/pic/' + imgSrc[i] + '" alt="" class="' + imgClass[i] + '" />'))
				};
			});
			return this;
		},
		setSideIcon:function(imgSrc, imgSrc2){
			var imgSrcSP = (!imgSrc2)? imgSrc.split('.').join('_sp.') : imgSrc2;
			this.each(function(){
				$(this).wrapInner('<span></span>').prepend($('<img src="/pic/' + imgSrc + '" alt="" class="iconMark" /><img src="/pic/' + imgSrcSP + '" alt="" class="SPiconMark" />'));
			});
			return this;
		},
		togglePassword:function($target){
			var postfix = '-text'
			var sync = function(){
				var i = this.type.toUpperCase() === 'PASSWORD' ?
					this.id + postfix : 
					this.id.replace( postfix, '' );
				$( '#' + i ).val( $(this).val() );
			};
					
			if($target == undefined){
				var $this = this;
				$this.each(function(){
				  var $this = $(this);
				  var handlers = { keyup : sync, blur : sync};
				  var $targetText = $('<input type="text" />');
				  $targetText.val($this.val());
				  if($this.attr('id') != undefined) $targetText.attr('id', $this.attr('id') + postfix);
				  if($this.attr('name') != undefined) $targetText.attr('name', $this.attr('name') + postfix);
				  if($this.attr('class') != undefined) $targetText.addClass($this.attr('class'));
				  if($this.attr('maxlength') != undefined) $targetText.attr('maxlength', $this.attr('maxlength'));
				  if($this.attr('size') != undefined) $targetText.attr('size', $this.attr('size'));
				  $this.after($targetText).bind( handlers );
				  $targetText.hide().bind( handlers );
				  $.data( this, 'text', $targetText );
				})
			}else{
			  this.each(function(){
				if(this.checked) $target.hide().each(function(){$.data( this, 'text' ).show();});
				else $target.show().each(function(){$.data( this, 'text' ).hide();});
			  });
			};
			return this
		},
		modalDialog:function(options){
			var opts = {
				trigger:'load',
				dialogId:false,
				dialogClass:false,
				title:false,
				text:false,
				attr:false,
				btn:false,
				btnStyle:false
			};
			var elements = this;
			var $this = $(this);
			
			if(typeof options == 'string'){
			}else{
			
			  $.extend(opts, options);
			  
			  var isModal = ($('#MODAL-area').length != 0)? true : false;
			  
			  if(!isModal){
			  
				  var $modalDialog = $('<div id="MODAL-area">');
				  var $modalBase = $('<div id="MODAL-base"></div>').appendTo($modalDialog);
			  
			  }else{
				  var $modalDialog = $('#MODAL-area');
				  var $modalBase = $('#MODAL-base');
			  };
			  
			  var $modalBox = $('<div class="MODAL-Box"></div>').appendTo($modalDialog);
			  var $box = $('<div class="MODAL-inner"></div>').appendTo($modalBox);
			  
			  if(typeof opts.dialogId == 'string'){
				  $modalBox.attr('id', opts.dialogId);
			  };
			  
			  if(typeof opts.dialogClass == 'string'){
				  $modalBox.addClass(opts.dialogClass);
			  };
			  
			  if(typeof opts.attr == 'object'){
				  $box.attr(opts.attr);
			  };
			  
			  if(typeof opts.title == 'string'){
				  $box.append('<h3>' + opts.title + '</h3>');
			  };
			  
			  if(typeof opts.text == 'string'){
				  $box.append('<p>' + opts.text + '</p>');
			  };
			  
			  if(typeof opts.btn == 'object'){
				  if(!$.isArray(opts.btn)) opts.btn = [opts.btn];
				  var $btnBox = $('<div class="center"></div>');
				  
				  for(var i = 0, l = opts.btn.length; i < l; i++){
					  var _obj = opts.btn[i];
					  
					  var $btn = $('<a class="btn" href=""></a>');
					  
					  if(typeof _obj.btnId == 'string'){
						  $btn.attr('id', _obj.btnId);
					  };
					  
					  if(typeof _obj.btnClass == 'string'){
						  $btn.addClass(_obj.btnClass);
					  };
					  
					  if(typeof _obj.color == 'string'){
						  $btn.addClass(_obj.color);
					  };
					  
					  if(typeof _obj.size == 'string'){
						  $btn.addClass(_obj.size);
					  };
					  
					  if(typeof _obj.text == 'string'){
						  $btn.text(_obj.text);
					  };
					  
					  if(_obj.onclick == 'toggle'){
						  $btn.bind('click', function(){
							$modalBox.trigger('hide');
							return false;
						  });
					  }else if(typeof _obj.onclick == 'boolean'){
						$.data($btn.get(0), 'result', _obj.onclick);
						$btn.bind('click', function(){
							$modalBox.trigger('hide');
							return false;
						});
					  }else if(typeof _obj.onclick == 'function'){
						$btn.bind('click', _obj.onclick);
					  };
					  
					  if(typeof _obj.attr == 'object'){
						  $btn.attr(_obj.attr);
					  };
					  
					  var btnClass = (opts.btnStyle == 'inline')? 'mS inline': 'mS';
					  
					  $('<p class="' + btnClass + '"></p>').append($btn).appendTo($btnBox);
				  };
				  $box.append($btnBox);
			  };
			  
			  if(!isModal){
				  $modalDialog.appendTo($this);
			  };
			  
			  if(opts.trigger == 'load'){
				  $this.bind('load', function(){
					  $modalBox.trigger('show');
				  });
			  }else if(typeof opts.trigger == 'string'){
				  $(opts.trigger).each(function(){
					  $(this).bind('click', function(){
						  $modalBox.trigger('show');
						  return false;
					  });
				  });
			};
			  
			var $window = $(window);
			var $body = $('body');
			var $wrapper = $('#wrapper');
			$modalBox.bind('show', function(e){
				$('#MODAL-area div.MODAL-current').removeClass('MODAL-current');
				if(!$body.hasClass('MODAL-show')){
				  modalTopPos = $window.scrollTop();
				  if(isTransform) $wrapper.css({'transform': 'translateY(' + modalTopPos * -1 + 'px)', 'position': 'fixed'});
				  else $wrapper.css({'top': modalTopPos * -1, 'position': 'fixed'});
				  $window.scrollTop(0);
				  $body.addClass('MODAL-show');
				};
				$(this).addClass('MODAL-current');
			}).bind('hide', function(e){
				$('#MODAL-area div.MODAL-current').removeClass('MODAL-current');
				$body.removeClass('MODAL-show');
				if(isTransform) $wrapper.css({'transform': 'translateY(0px)', 'position': 'relative'});
				else $wrapper.css({'top': 0, 'position': 'relative'});
				$window.scrollTop(modalTopPos);
			});
		  };
		  return $modalBox;
	  }
	});
	
	window.modalDialog = function(target){		
		if(typeof target === 'string'){
			var $target = $('#' + target);
			if($target.length > 0){
				$target.trigger('show');
			};
		}else if(typeof target === 'function'){
			target = target();
			target.trigger('show');
		}
	};
	
	var btnResult = function($target, value){
		var _this = this;
		$target.each(function(){
			var dialog = this;
			$(this).find('.btn').bind('click', function(){
				_this.result = $.data(this, 'result')
			})
		});
	};
	
	window.confirmDialog = function(_text, opt){
	  var $dialog = $('body').modalDialog({
		text:_text,
		btn:[{
				btnId:'btn_ok',
				color:'blue',
				text:'OK',
				size:'small',
				onclick:(typeof opt === 'object' && typeof opt.ok === 'function')? opt.ok : true
			},{
				btnId:'btn_cancel',
				text:'キャンセル',
				size:'small',
				onclick:(typeof opt === 'object' && typeof opt.cancel === 'function')? opt.cancel : false
		}],
		btnStyle:'inline'
	  }).trigger('show');
	  
	  return new btnResult($dialog);
	};
	
	window.alertDialog = function(_text, opt){
	  var $dialog = $('body').modalDialog({
		text:_text,
		dialogClass:'modalAlert',
		btn:{
			color:'red',
			text:'OK',
			size:'medium',
			onclick:(typeof opt === 'object' && typeof opt.ok === 'function')? opt.ok : true
		},
		btnStyle:'inline'
	  }).trigger('show');
	  
	  return new btnResult($dialog);
	};
	
	window.textDialog = function(_text){
	  var $dialog = $('body').modalDialog({
		text:_text
	  }).trigger('show');
	};

	window.dialogHide = function(_text){
	  $('.MODAL-current').trigger('hide');
	};

	$(function(){
		
		var $wrapper = $('#wrapper');
		var $header = $('#header');
		var $mainContents = $('#mainContents');
		var $subContents = $('#subContents');
		var $headerSwitch = $('<div id="headerSwitch"></div>');
		var $panelMenu = $mainContents.find('.panelMenu');
		var $btn = $('#mainContents .btn');
		var $btnSave = $('#btnSave .btn, #btnSaveFooter .btn');
		var $btnHome = $('#btnHome .btn, #btnHomeFooter .btn');
		var $btnHowto = $('#btnHowto .btn, #btnHowtoFooter .btn');
		var $sideBtn = $mainContents.find('.sideBtn .btn');
		var $btnQr = $('#btnQr .btn');
		var $btnGuide = $('#btnGuide .btn');
		var $btnKodomo = $('#btnKodomo .btn');
		/* NEC add */
		var $btnAT = $('#btnAT .btn');
		/* NEC */

		if(isAndroid){
			$mainContents.find('.overflowAuto, .logArea, .canvasArea').each(function(){
				var $this = $(this);
				$this.wrap('<div style="overflow:hidden;"></div>');
			});	

			if(isAndroid2_3){
				$mainContents.find('.overflowAuto, .logArea, .canvasArea').each(function(){
					var $this = $(this);
					var defX = 0;
					var num = 0;
					var defTouchX = 0;
					$this.css('overflow', 'hidden').on('touchstart touchmove touchend', function(e){
						var touch = e.originalEvent.touches[0];
						if(e.type == 'touchstart'){
							defX = $this.scrollLeft();
							defTouchX = touch.pageX;
						}else if(e.type == 'touchmove'){
							num = (touch.pageX - defTouchX) * -1 + defX;
							$this.scrollLeft(num);
						}else if(e.type == 'touchend'){
						};
					});
				});
			};
		};
		
		if(isTouch){
			$('.touchHide').hide();
		}
		
		$btnSave.each(function(){
			var $this = $(this);
			$this.bind('on', function(){
				var $this = $(this);
				if($this.hasClass('off')){
					$this.removeClass('off');
					$this.queue(function(){
						$(this).animate({'opacity': 1}, 100);
						$(this).animate({'opacity': 0.7}, 100);
						$(this).animate({'opacity': 1}, 100);
						$(this).animate({'opacity': 0.7}, 100);
						$(this).animate({'opacity': 1}, 100);
					});
					$this.dequeue();
				}
				return false;
			});
		});
		
		$btn.filter('.refresh').setSideIcon('icon_side_refresh.png');
		$btn.filter('.research').setSideIcon('icon_side_refresh.png', 'icon_side_research_sp.png');
		$btn.filter('.open').setSideIcon('icon_side_open.png');
		$btn.filter('.close').setSideIcon('icon_side_close.png');
		$mainContents.find('.linkMark').filter(function(){return $(this).parents('.panelMenu').length == 0;}).setIcon('icon_link.png', 'iconMark');
		$mainContents.find('.panelMenu .linkMark').setIcon('icon_link_white.png', 'iconMark');
		$mainContents.find('.externalMark').setIcon('icon_external.png', 'iconMark');
		$btnHome.setIcon(['icon_home.png', 'icon_home_white.png'], ['iconMark', 'SPiconMark']);
		$btnHowto.setIcon(['icon_howto.png', 'icon_howto_white.png'], ['iconMark', 'SPiconMark']);
		$btnQr.setIcon('icon_sub_qr.png', 'iconMark');
		$btnGuide.setIcon('icon_sub_guide.png', 'iconMark');
		$btnKodomo.setIcon('icon_sub_kodomo.png', 'iconMark');
		/* NEC add */
		$btnAT.setIcon('icon_menu_function.png', 'iconMark');
		/* NEC */

		
		$('#wrapper.green').each(function(){
			$('.sideBtn > .btn > img').each(function(){
				var src = $(this).attr('src');
				$(this).attr('src', src.replace('.png', '-green.png'));
			});
		});
		
		var panelHeightBottom = 0;
		var keepHeihgtBottom = 0;
		var panelHeightBottomTimer;
		$subContents.find('li > a').each(function(){
			var $this = $(this);
			var height = $this.height();
			if(panelHeightBottom < height) panelHeightBottom = height;
		}).each(function(){
			if($(this).height() != panelHeightBottom) $(this).height(panelHeightBottom);
        });
		
		$(window).bind('load', function(){
		  panelHeightBottomTimer = setInterval(function(){
			panelHeightBottom = 0;
			$subContents.find('li > a').height('auto').each(function(){
			  var $this = $(this);
			  var height = $this.height();
			  if(panelHeightBottom < height) panelHeightBottom = height;
			}).each(function(){
			  if($(this).height() != panelHeightBottom) $(this).height(panelHeightBottom);
			});
		  },100);
		}).bind('unload', function(){
			clearTimeout(panelHeightBottomTimer);
		});
		
		var panelHeight = 0;
		var keepHeihgt = 0;
		var panelHeightTimer;
		if($panelMenu.length > 0){
		  $panelMenu.find('.menuBox').each(function(){
			  var $this = $(this);
			  var id = $this.attr('id').split('menu')[1].toLowerCase();
			  var $img = $('<img src="/pic/icon_menu_' + id + '.png" alt="" class="symbolMark" />');
			  var height = $this.height();
			  if(panelHeight < height) panelHeight = height;
			  $this.prepend($img);
		  }).each(function(){
			  $(this).height(panelHeight);
		  });
		
		  $(window).bind('load', function(){
			panelHeightTimer = setInterval(function(){
			  panelHeight = 0;
			  $panelMenu.find('.menuBox:visible').each(function(){
				var $this = $(this);
				var height = $this.find('> h2').outerHeight(true) + $this.find('> .menuBoxInner').outerHeight(true);
				if(panelHeight < height) panelHeight = height;
			  }).each(function(){
				if($(this).height() != panelHeight) $(this).height(panelHeight);
			  });
			},100);
		  }).bind('unload', function(){
			  clearTimeout(panelHeightTimer);
		  });
		};
		
		$sideBtn.each(function(){
			var $this = $(this);
			$this.click(function(){
			});
		});
		
		$btn.filter('.close, .open').each(function(){
			var $this = $(this);
			var target = $this.attr('href').split('#')[1];
			var $target = $('#' + target + ', .' + target);
			var SPflag = (/^SP/.test($this.attr('href').split('#')[1]));
			if($target.length > 0){
				$this.click(function(){
					var src = $this.find('img').attr('src');
					$target.slideToggle('fast', 'swing', function(){
						if(SPflag){
							if($(this).css('display') == 'none'){
								$(this).addClass('SPHide').attr('style', '');
							}else{
								$(this).removeClass('SPHide');
							}
						}
					});
					$this.toggleClass('open');
					$this.toggleClass('close');
					if(/open/.test(src)){
						$this.find('img').each(function(){
							$(this).attr('src', $(this).attr('src').replace('_open', '_close'));
						});
						$this.find('span').html(textOpenClose.closeText);
					}else{
						$this.find('img').each(function(){
							$(this).attr('src', $(this).attr('src').replace('_close', '_open'));
						});
						$this.find('span').html(textOpenClose.openText);
					};
					return false;
				});
			};
		});
		
		$btn.filter('.tglBtn').each(function(){
			var $this = $(this);
			var target = $this.attr('href').split('#')[1];
			var $target = $('#' + target + ', .' + target);
			var SPflag = (/^SP/.test($this.attr('href').split('#')[1]));
			$this.click(function(){
				$this.toggleClass('light');
				if(!SPflag) $target.toggleClass('hide');
				else $target.toggleClass('SPHide');
				if($this.hasClass('light')) $this.html(textShowHide.hideText);
				else $this.html(textShowHide.showText);

				if (target=="panelShow") {
					if(PAGE.AdvMenuSubmit) PAGE.AdvMenuSubmit();
				}

				return false;
			});
		});
		var n = 0;
		
		$btn.filter('.confirm').each(function(){
			var $this = $(this);
			var element = $this.get(0);
			var msg = window.confirmMsg[$this.attr('id')];
			$.data(element, 'clickFlag', true);
			$this.click(function(){
				if(msg){
					if(!window.confirm(msg)){
						$.data(element, 'clickFlag', false);
						return false;
					}else{
						$.data(element, 'clickFlag', true);
					}
				}
			});
		});
		
		$btn.filter('.saveOn').each(function(){
			var $this = $(this);
			var element = $this.get(0);
			$.data(element, 'clickFlag', true);
			$this.click(function(){
				if($.data(element, 'clickFlag')){
					$btnSave.trigger('on');
				};
				return false;
			});
		});
		
		$btn.filter('.submit').each(function(){
			var $this = $(this);
			var element = $this.get(0);
			var $form = $this.parents('form');
			$.data(element, 'clickFlag', true);
			$this.click(function(){
				if($.data(element, 'clickFlag')){
					$form.submit();
				};
				return false;
			});
		});
		
		$('#MASK_CANCEL, .passwordFilter, .passwordFilterConfirm').each(function(){
			var $this = $(this);
			var $target = $('#' + $this.val() + ', #' + $this.val() + '_CONF');
			if($target.length == 0) $target = $this.prevAll('input:password');
			if($target.length == 0) $target = $this.parent().prevAll('input:password');
			if($target.length == 0) $target = $this.parent().parent().prevAll('input:password');
			$target.togglePassword();
			if(this.checked) $target.hide().each(function(){$.data( this, 'text' ).show();});
			else $target.show().each(function(){$.data( this, 'text' ).hide();});
			
			$this.parent().parent().andSelf().bind('checked changeOn changeOff', function(e){
				$this.togglePassword($target);
			});
		});

		$('.toggleArea').each(function(){
			var $this = $(this);
			var $toggleBox = $this.find('.toggleBox');
			var $toggleNavi = $this.find('.toggleAreaNavi');
			
			$toggleBox.filter(':not(:first)').hide();
			$toggleNavi.each(function(){
				var $thisNavi = $(this);
				$thisNavi.find('a').each(function(index){
					$this = $(this);
					if(index == 0) $this.addClass('current');
					if($toggleBox.length <= index) $this.addClass('noTarget');
					else{
						$this.click(function(){
							if(!$(this).hasClass('current')){
								$toggleNavi.trigger('toggleChange', [index]);
								$toggleBox.filter(':visible').fadeOut('fast', function(){
									$toggleBox.filter(function(i) {
										return i == index;
									}).fadeIn('fast');
									$(window).trigger('resize');
								});
							};
							return false;
						});
					};
				}).end().bind('toggleChange', function(e, i){
					$(this).find('a:not(.noTarget)').each(function(index){
						if(i == index) $(this).addClass('current');
						else $(this).removeClass('current');
					});
				});
			});
		});
		
		if(isMediaQuery){
		$('.scrollTable').each(function(){
			var $this = $(this);
			var tableMargin = $this.css('margin-bottom');
			$this.addClass('mNone')
			var $thisInner = $this.wrap('<div class="scrollTableInner"></div>').parent();
			var $scrollBox = $thisInner.wrap('<div class="scrollTableBox"></div>').parent();
			var $scrollArea = $scrollBox.wrap('<div class="scrollTableArea"></div>').parent();
			var $clone = $this.clone(true).addClass('cloneTable');
			var $prev = $('<div class="prev"></div>').append('<img src="/pic/arrow_left.png" />');
			var $next = $('<div class="next"></div>').append('<img src="/pic/arrow_right.png" />');
			var cellFix = (function(attrClass){
				var result = {};
					attrClass = attrClass.split(' ');
					for(var i = 0, l = attrClass.length; i < l; i++){
						if(/^cellFix/.test(attrClass[i])) result.className = attrClass[i].replace(/^cellFix/, '');
					};
					if(result.className){
						result.d = (/^L/.test(result.className))? 'left': 'right';
						result.l = result.className.replace(/^(L|R)/, '') - 0;
					}else{
						result.d = 'left';
						result.l = 1;
					};
					return result;
				})($this.attr('class'));
			var fixWidth = getFixWidth();
			var D = cellFix.d;
			var areaWidth = $scrollArea.width();
			var tableWidth = $clone.width();
			
			var eventFlag = false;
			var defX = 0;
			var preY = 0;
			var defPos = 0;
			var pos = 0;
			var endPos = (areaWidth - fixWidth) - (tableWidth - fixWidth);
			var thPos = [];
			var nowPos = 0;
			var moving = false;
			var movingT;
			
			function getNowPos(){
				var left = false;
				var right = false;
				var test = {};
				pos = (isTransformPC)? ($this.css('transform').split(', ')[4] - 0) : ($this.position().left - 0);
				for(var i = 0, l = thPos.length; i < l; i++){
					if(left === false && thPos[i].left <= pos){
						if(i == 0) left = 0;
						else left = thPos[i - 1].left;
					};
					if(right === false && thPos[i].right <= pos){
						if(i == l - 1) right = endPos;
						else if(thPos[i + 1].right < pos){
							right = thPos[i + 1].right;
						}else if(thPos[i].right < pos){
							right = thPos[i].right;
						}
					};
				};
				if(left === false || left > 0) left = 0;
				if(right === false || right < endPos) right = endPos;
				return {'left': left , 'right': right};
			};
			
			function getFixWidth(){
				var $target = $this.find('tr:first > *');
				var w = 0;
				var tarL = $target.length;
				$target.filter(function(index) {
					if(cellFix.d == 'left') return index < cellFix.l;
					else return tarL - index <= cellFix.l;
        		}).each(function(){
					w += $(this).outerWidth();
				});
				return w;
			};
			
			$scrollArea.css({'margin-bottom': tableMargin}).bind('mousedown', function(e){
				if(!$(e.target).is('input, select')){
				  e.preventDefault();
				  eventFlag = true;
				  defPos = (isTransformPC)? ($this.css('transform').split(', ')[4] - 0) : ($this.position().left - 0);
				  pos = 0;
				  defX = e.pageX;
				  if(defPos < 0 && $prev.is(':hidden')) $prev.hide();
				  if(defPos > endPos && $next.is(':hidden')) $next.hide();
				}
			}).bind('mousemove', function(e){
				if(eventFlag){
					pos = (e.pageX - defX) + defPos;
					if(pos >= 0) pos = 0;
					if(pos <= endPos) pos = endPos;
					$prev.trigger('moveStart', [pos]);
					$next.trigger('moveStart', [pos]);
					if(isTransformPC) $this.css('transform', 'translateX(' + pos + 'px)');
					else $this.css('left', pos);
				};
			}).bind('mouseup mouseleave', function(e){
				if(eventFlag){
					pos = (e.pageX - defX) + defPos;
					if(pos >= 0) pos = 0;
					if(pos <= endPos) pos = endPos;
					$prev.trigger('moveEnd', [pos]);
					$next.trigger('moveEnd', [pos]);
					eventFlag = false;
				};
			}).bind('touchstart touchmove touchend', function(e){
				var touch = e.originalEvent.touches[0];
				if(e.type == 'touchstart' && !$(e.target).is('input, select') && eventFlag != 'doTransition'){
					eventFlag = true;
					defPos = (isTransition)? ($this.position().left - 0) : (isTransformPC)? ($this.css('transform').split(', ')[4] - 0) : ($this.position().left - 0);
					pos = 0;
					defX = touch.pageX;
					preY = touch.pageY;
					if(defPos < 0 && $prev.is(':hidden')) $prev.hide();
					if(defPos > endPos && $next.is(':hidden')) $next.hide();
				}else
				if(e.type == 'touchmove' && eventFlag && eventFlag != 'doTransition'){
					if(isTransition){
						if(1 > Math.abs(touch.pageY - preY)){
							e.preventDefault();
							pos = touch.pageX - defX;
							eventFlag = 'doTransition';
						}
					}else{
					  if(1 > Math.abs(touch.pageY - preY)){
						  e.preventDefault();
						  pos = (touch.pageX - defX) + defPos;
						  if(pos >= 0) pos = 0;
						  if(pos <= endPos) pos = endPos;
						  $prev.trigger('moveStart', [pos]);
						  $next.trigger('moveStart', [pos]);
						  if(isTransformPC) $this.css('transform', 'translateX(' + pos + 'px)');
						  else $this.css('left', pos);
					  };
					};
					preY = touch.pageY;
				}else
				if(e.type == 'touchend' && eventFlag){
				  if(eventFlag != 'doTransition'){
					pos = (touch.pageX - defX) + defPos;
					if(pos >= 0) pos = 0;
					if(pos <= endPos) pos = endPos;
					$prev.trigger('moveEnd', [pos]);
					$next.trigger('moveEnd', [pos]);
					eventFlag = false;
				  };
				};
				if(eventFlag == 'doTransition'){
				  if(pos <= 0) pos = getNowPos().right;
				  else pos = getNowPos().left;
				  $this.css('left', pos);
				  if(pos >= 0) pos = 0;
				  if(pos <= endPos) pos = endPos;
				  $prev.trigger('moveEnd', [pos]);
				  $next.trigger('moveEnd', [pos]);
				  eventFlag = false;
				};
			}).bind('scrollTableInt', function(e){
				var left = 0;
				pos = 0;
				fixWidth = getFixWidth();
				areaWidth = $scrollArea.width();
				tableWidth = $clone.width();
				endPos = (areaWidth - fixWidth) - (tableWidth - fixWidth) - 1;
				
				if(isTransformPC){
				  $scrollBox.css({'transform': 'translateX(' + ((D == 'left')? fixWidth : 0) + 'px)'}).width(areaWidth - fixWidth);
				  $thisInner.css({'transform': 'translateX(' + ((D == 'left')? fixWidth * -1 : 0) + 'px)'}).width(tableWidth);
				}else{
				  $scrollBox.css({'left': (D == 'left')? fixWidth: 0}).width(areaWidth - fixWidth);
				  $thisInner.css({'left': (D == 'left')? fixWidth * -1: 0}).width(tableWidth);
				};
				
				$this.find('tr:first > *').each(function(i){
					var adj = (i == 0)? 0 : 30;
					var left = (($(this).position().left - adj)).toFixed(1) * -1;
					var right = ((($(this).position().left + $(this).outerWidth() - (areaWidth - fixWidth)) + adj)).toFixed(1) * -1;
					thPos[i] = {'left': left, 'right': (right < 0)? right: 0};
				});
				
				if(isTransformPC) $this.css('transform', 'translateX(0px)');
				else $this.css('left', 0);
				
				$next.trigger('moveEnd', [pos]);
				$prev.trigger('moveEnd', [pos]);
			}).bind('moveToLeft', function(e, dblClick){
				eventFlag = false;
				var right = (!dblClick)? getNowPos().right : endPos;
				if(isTransformPC){
					$this.css('transform', 'translateX(' + right + 'px)');
				}else{
					if(!isTransition) $this.animate({'left': right}, 'fast');
					else $this.css({'left': right});
				};
				$next.trigger('moveEnd', [right]);
				$prev.trigger('moveEnd', [right]);
			}).bind('moveToRight', function(e, dblClick){
				eventFlag = false;
				var left = (!dblClick)? getNowPos().left : 0;
				if(isTransformPC){
					$this.css('transform', 'translateX(' + left + 'px)');
				}else{
					if(!isTransition) $this.animate({'left': left}, 'fast');
					else $this.css({'left': left});
				};
				$next.trigger('moveEnd', [left]);
				$prev.trigger('moveEnd', [left]);
			});
			
			$prev.bind('moveStart', function(e, pos){
				if(pos >= 0){
					$(this).hide();
				}else
				if(pos < 0 && $(this).is(':hidden')){
					$(this).show();
				};
			}).bind('moveEnd', function(e, pos){
				if(pos >= 0){
					$(this).hide();
				}else
				if(pos < 0){
					$(this).show();
				};
			}).bind('mousedown touchstart', function(e){
				e.preventDefault();
				e.stopImmediatePropagation();
				e.stopPropagation();
				movingT = setTimeout(function(){
				  clearTimeout(movingT);movingT = null;
				  moving = false;
				},500);
				if(moving == 'dbl'){
				  $this.trigger('moveToRight', true);
				  moving == true;
				}else if(!moving){
				  $this.trigger('moveToRight', false);
				  moving = 'dbl';
				};
			}).hide();
			
			$next.bind('moveStart', function(e, pos){
				if(pos <= endPos){
					$(this).hide();
				}else
				if(pos > endPos && $(this).is(':hidden')){
					$(this).show();
				};
			}).bind('moveEnd', function(e, pos){
				if(pos <= endPos){
					$(this).hide();
				}else
				if(pos > endPos){
					$(this).show();
				};
			}).bind('mousedown touchstart', function(e){
				e.preventDefault();
				e.stopImmediatePropagation();
				e.stopPropagation();
				movingT = setTimeout(function(){
				  clearTimeout(movingT);movingT = null;
				  moving = false;
				},500);
				if(moving == 'dbl'){
				  $this.trigger('moveToLeft', true);
				  moving == true;
				}else if(!moving){
				  $this.trigger('moveToLeft', false);
				  moving = 'dbl';
				};
			}).hide();
			
			var $prevImg = $prev.find('img');
			var $nextImg = $next.find('img');
			var scrollTop = $(window).scrollTop();
			var topAdjust = 30;
			var offsetPosTop = $scrollArea.offset().top;
			var posY = (scrollTop - offsetPosTop + topAdjust + 70 > topAdjust)? scrollTop - offsetPosTop + topAdjust + 70: topAdjust;
			$prevImg.css('top', pos);
			$nextImg.css('top', pos);
			$(window).bind('resize', function(e){
				scrollTop = $(this).scrollTop();
				$scrollArea.trigger('scrollTableInt');
				offsetPosTop = $scrollArea.offset().top;
				posY = (scrollTop - offsetPosTop + topAdjust + 70 > topAdjust)? scrollTop - offsetPosTop + topAdjust + 70: topAdjust;
				$prevImg.css('top', posY);
				$nextImg.css('top', posY);
			}).bind('scroll', function(e){
				scrollTop = $(this).scrollTop();
				posY = (scrollTop - offsetPosTop + topAdjust + 70 > topAdjust)? scrollTop - offsetPosTop + topAdjust + 70: topAdjust;
				$prevImg.css('top', posY);
				$nextImg.css('top', posY);
			});
			
			$clone.find('*[id]').each(function(){$(this).attr('id', $(this).attr('id') + '-clone')}).end()
				.find('*[name]').each(function(){$(this).attr('name', $(this).attr('name') + '-clone')}).end()
				.find('*[for]').each(function(){$(this).attr('for', $(this).attr('for') + '-clone')});
			if(D != 'left') $clone.css({'right': 0});
			$scrollBox.after($clone).append($prev).append($next);
			
			$scrollArea.trigger('scrollTableInt');
		});
		};
		
		var popupClass = window.popupClass;
		var popupTarget = window.popupTarget;
		var $popupLink = $('.' + popupClass + ', a[target='+ popupTarget +']');
		var targetWin = {};
		$popupLink.each(function(){
			var $this = $(this);
			var target = $this.attr('target');
			var modalName = ($('#' + target + 'Alert').length > 0)? target + 'Alert' : popupAlertDefultClass;
			
/*
var myurl = window.location.toString();
var setstr;
var fp = myurl.lastIndexOf("/");
var ep = myurl.lastIndexOf(".");
setstr=myurl.substring(fp+1,ep);
var href = $this.attr('href')+'#' + setstr;
*/

			$this.click(function(){
				var $pageNameObj;
				var pageName;
				var encPageName;
				$pageNameObj = $("#content h1");
				pageName = $pageNameObj.text();
				pageName = pageName.replace("最新状態に更新", "");
				pageName = pageName.replace(/ /g, ""); //表記ゆれ対策
				encPageName = encodeURIComponent(pageName);
				encPageName = encPageName.replace(/%/g, ".");
			
				var href = $(this).attr('href');

				var addmode = href;
				
				if (addmode == "./help_pppoe.php") {
					href= "./help_pppoe.php#" + encPageName;
				} else if (addmode == "./help_local.php") {
					href= "./help_local.php#" + encPageName;
				} else if (addmode == "./help_ap.php") {
					href= "./help_ap.php#" + encPageName;
				} else if (addmode == "cnv") {
					href= "./help_cnv.htm#" + encPageName;
				} else if (addmode == "./help_repeater.php") {
					href= "./help_repeater.php#" + encPageName;
				}
				
				/* var addmode = $('#ACTION_MODE').val();

				if (addmode == "pppoe") {
					href= "./help_pppoe.htm#" + encPageName;
				} else if (addmode == "local") {
					href= "./help_local.htm#" + encPageName;
				} else if (addmode == "ap") {
					href= "./help_ap.htm#" + encPageName;
				} else if (addmode == "cnv") {
					href= "./help_cnv.htm#" + encPageName;
				}
				*/

				if(targetWin[target] == undefined){
					targetWin[target] = window.open(href, target);
					targetWin[target].focus();
				}else{
					if(targetWin[target].closed != undefined && !targetWin[target].closed){
						window.modalDialog(modalName);
					}else{
						targetWin[target] = window.open(href, target);
						targetWin[target].focus();
					};
				};
				return false;
			});
			
			if(modalName == popupAlertDefultClass && $('#' + popupAlertDefultClass).length == 0){
			  setPopupAlertDefult();
			}
		});
	});	
})(jQuery, window, document);
